"use strict";

const pipe = require("@promistream/pipe");
const splitLines = require("@promistream/split-lines");
const map = require("@promistream/map");
const decodeString = require("@promistream/decode-string");

module.exports = function createNDJSONParseStream() {
	return pipe([
		decodeString("utf8"),
		splitLines(),
		map((line) => JSON.parse(line))
	]);
};
