"use strict";

const Promise = require("bluebird");

const pipe = require("@promistream/pipe");
const simpleSink = require("@promistream/simple-sink");
const updateStream = require("./update-stream");

return Promise.try(() => {
	return pipe([
		updateStream({ prefix: "datasheet:" }),
		simpleSink((item) => {
			console.log(item);
		})
	]).read();
}).then(() => {
	console.log("Done!");
});
